//+------------------------------------------------------------------+
//|                                             test_fibo_usdcad.mq4 |
//|                                 2009, BabyBear Software Incorp. |
//|                                           http://mtclub.ucoz.ru/ |
//+------------------------------------------------------------------+
#property copyright " 2009, BabyBear Software Incorp."
#property link      "http://mtclub.ucoz.ru/"

#include <stderror.mqh>

int start()
{
   string stSymbol = "EURCAD";
   
   double dh;
   dh = GetValue( stSymbol, PERIOD_M1, 0, MODE_OPEN);
   dh = GetValue( stSymbol, PERIOD_H1, 0, MODE_LOW);
   dh = GetValue( stSymbol, PERIOD_D1, 0, MODE_HIGH);

   
   return(0);
}

double GetValue( string symbol, int period, int shift, int mode)
{
   // 4066 ERR_HISTORY_WILL_UPDATED
   double ret;
   string text;
   datetime dt;
   int check;
   GetLastError();
   for( int i=0; i<5; i++)
   {
      switch ( mode)
      {
         case MODE_HIGH:
            ret = iHigh( symbol, period, shift);
            text="MODE_HIGH";
            break;
         case MODE_LOW:
            ret = iLow( symbol, period, shift);
            text="MODE_LOW";
            break;
         case MODE_CLOSE:
            ret = iClose( symbol, period, shift);
            text="MODE_CLOSE";
            break;
         case MODE_OPEN:
            ret = iOpen( symbol, period, shift);
            text="MODE_OPEN";
            break;
         default:
            Print("GetValue(). Wrong Parameter.");

      }
      
      check = GetLastError();
      dt = iTime( symbol, period, shift);
      Print( "i=", i, " ret=", ret, " ", text, " time=", TimeToStr( dt, TIME_DATE | TIME_SECONDS ), " period=", period, " check=", check);
//      if( check == ERR_NO_ERROR)
//         break;
   }
   return (ret);
}

